Transactions
https://sandbox-products.ddp.akoya.com/transactions/{version}/{providerId}/{accountId}
Retrieve transaction history of consumer-permissioned accounts.
For more information on how to paginate transaction results, see: Pagination.
Use the mode query param to receive FDX-aligned, standardized data values. For example:
https://sandbox-products.ddp.akoya.com/transactions/v3/mikomo/g833202fb0866d0ad83472c429?mode=standard
Path Parameters
version*
stringdefault: v3Akoya major version number. Do not use minor version numbers. For instance, use v3 and not v3.1
providerId*
stringdefault: mikomoId of provider
accountId*
stringdefault: :accountIdAccount Identifier
Query Parameters
startTime
stringISO 8601 date format in UTC time zone. If blank, the default value (current date - 15 calendar days) is used. If a value is specified, endTime is required.
endTime
stringISO 8601 date format in UTC time zone. If blank, the default value (current date) is used. If a value is specified, startTime is required.
offset
stringdefault: 0The number of items to skip before the first in the response. The default is 0.
limit
stringdefault: 50The maximum number of items to be returned in the response. The default is 50.
mode
Default is raw. Use standard for FDX-aligned, standardized data values.
Headers
x-akoya-interaction-type*
Allowed values are `USER` or `BATCH`. `USER` indicates a request is prompted by an end-user action. `BATCH` indicates the request is part of a batch process.
x-akoya-last-access*
The date and time stamp for the last active use by the user. Follow the ISO8601 date format in the UTC time zone. For example: `2025-11-24T00:00:00Z`
x-akoya-intent-type*
Acceptable values are `payments` or `nonpayments.`
content-type
Application/JSON
Responses
200
OK
Response Body
links
object
next
object
href
string
prev
object
href
string
transactions
array of objects
An array of transactions with entity types dependent on the account type (deposit, investment, loan, or line of credit)
Any of:
depositTransaction
accountId
string
Corresponds to AccountId in Account
amount
number
The amount of money in the account currency. If balanceType is `ASSET`: 1. If `debitCreditMemo` = `DEBIT`, sign is "+" or not present 2. If `CREDIT`, sign is "-" If balanceType is `LIABILITY`: 1. If `debitCreditMemo` = `DEBIT`, sign is "-" 2. If `CREDIT`, sign is "+" or not present
category
string
Transaction category, preferably MCC or SIC.
debitCreditMemo
string
Akoya will ensure that this is correctly populated with one of DEBIT or CREDIT and matches the sign of the status field.
DEBITCREDITdescription
string
The description of the transaction
imageIds
array
fiAttributes
Array of FI-specific attributes
foreignAmount
number
The amount of money in the foreign currency
foreignCurrency
string
The ISO 4217 code of the foreign currency
lineItem
array of objects
Breakdown of the transaction details
object
amount
number
The amount of money attributable to this line item
checkNumber
number
Check number
description
string
The description of the line item
imageIds
array
links
array of objects
Links (unique to this Transaction) used to retrieve images of checks or transaction receipts, or invoke other APIs
object
href
string
URL to invoke the action on the resource
action
string
HTTP Method to use for the request
GETPOSTPATCHDELETEPUTtypes
array of strings
Content-types that can be used in the Accept header.
string
memo
string
Secondary item description
reference
string
A reference number
links
Links (unique to this Transaction) used to retrieve images of checks or transaction receipts, or invoke other APIs
memo
string
Secondary transaction description
postedTimestamp
string
The date and time that the transaction was posted to the account. If not provided then TransactionTimestamp can be used as PostedTimeStamp.
reference
string
A tracking reference identifier
referenceTransactionId
string
Akoya ensures that this field is populated for all transactions which are reversals, otherwise it is null. Either way it is always present. For reverse postings, the identity of the transaction being reversed. For the correction transaction, the identity of the reversing post. For credit card posting transactions, the identity of the authorization transaction.
status
string
AUTHORIZATION, MEMO, PENDING, or POSTED
PENDINGMEMOPOSTEDAUTHORIZATIONsubCategory
string
Transaction category detail
transactionId
string
Long term persistent identity of the transaction (unique to account). Transaction IDs should: 1. be the same for pending and posted 2. be different for reversed transactions 3. `referenceTransactionId` should be present for reversed transactions'
transactionTimestamp
string
The date and time that the transaction was added to the server backend systems. Akoya ensures that this field is populated for all transactions to which it applies, otherwise it is null. Either way it is always present.
payee
string
Payee name
checkNumber
integer
Check Number
transactionType
string
DepositTransaction Type
CHECKWITHDRAWALTRANSFERPOSDEBITATMWITHDRAWALBILLPAYMENTFEEDEPOSITADJUSTMENTINTERESTDIVIDENDDIRECTDEPOSITATMDEPOSITPOSCREDITloanTransaction
accountId
string
Corresponds to AccountId in Account
amount
number
The amount of money in the account currency. If balanceType is `ASSET`: 1. If `debitCreditMemo` = `DEBIT`, sign is "+" or not present 2. If `CREDIT`, sign is "-" If balanceType is `LIABILITY`: 1. If `debitCreditMemo` = `DEBIT`, sign is "-" 2. If `CREDIT`, sign is "+" or not present
category
string
Transaction category, preferably MCC or SIC.
debitCreditMemo
string
Akoya will ensure that this is correctly populated with one of DEBIT or CREDIT and matches the sign of the status field.
DEBITCREDITdescription
string
The description of the transaction
imageIds
array
fiAttributes
Array of FI-specific attributes
foreignAmount
number
The amount of money in the foreign currency
foreignCurrency
string
The ISO 4217 code of the foreign currency
lineItem
array of objects
Breakdown of the transaction details
object
amount
number
The amount of money attributable to this line item
checkNumber
number
Check number
description
string
The description of the line item
imageIds
array
links
array of objects
Links (unique to this Transaction) used to retrieve images of checks or transaction receipts, or invoke other APIs
object
href
string
URL to invoke the action on the resource
action
string
HTTP Method to use for the request
GETPOSTPATCHDELETEPUTtypes
array of strings
Content-types that can be used in the Accept header.
string
memo
string
Secondary item description
reference
string
A reference number
links
Links (unique to this Transaction) used to retrieve images of checks or transaction receipts, or invoke other APIs
memo
string
Secondary transaction description
postedTimestamp
string
The date and time that the transaction was posted to the account. If not provided then TransactionTimestamp can be used as PostedTimeStamp.
reference
string
A tracking reference identifier
referenceTransactionId
string
Akoya ensures that this field is populated for all transactions which are reversals, otherwise it is null. Either way it is always present. For reverse postings, the identity of the transaction being reversed. For the correction transaction, the identity of the reversing post. For credit card posting transactions, the identity of the authorization transaction.
status
string
AUTHORIZATION, MEMO, PENDING, or POSTED
PENDINGMEMOPOSTEDAUTHORIZATIONsubCategory
string
Transaction category detail
transactionId
string
Long term persistent identity of the transaction (unique to account). Transaction IDs should: 1. be the same for pending and posted 2. be different for reversed transactions 3. `referenceTransactionId` should be present for reversed transactions'
transactionTimestamp
string
The date and time that the transaction was added to the server backend systems. Akoya ensures that this field is populated for all transactions to which it applies, otherwise it is null. Either way it is always present.
paymentDetails
object
escrowAmount
number
The amount of payment applied to escrow
feesAmount
number
The amount of payment applied to fees
insuranceAmount
number
The amount of payment applied to life/health/accident insurance on the loan
interestAmount
number
The amount of payment applied to interest
pmiAmount
number
The amount of payment applied to PMI
principalAmount
number
The amount of payment applied to principal
transactionType
string
LoanTransaction Type
ADJUSTMENTFEEINTERESTPAYMENTlocTransaction
accountId
string
Corresponds to AccountId in Account
amount
number
The amount of money in the account currency. If balanceType is `ASSET`: 1. If `debitCreditMemo` = `DEBIT`, sign is "+" or not present 2. If `CREDIT`, sign is "-" If balanceType is `LIABILITY`: 1. If `debitCreditMemo` = `DEBIT`, sign is "-" 2. If `CREDIT`, sign is "+" or not present
category
string
Transaction category, preferably MCC or SIC.
debitCreditMemo
string
Akoya will ensure that this is correctly populated with one of DEBIT or CREDIT and matches the sign of the status field.
DEBITCREDITdescription
string
The description of the transaction
imageIds
array
fiAttributes
Array of FI-specific attributes
foreignAmount
number
The amount of money in the foreign currency
foreignCurrency
string
The ISO 4217 code of the foreign currency
lineItem
array of objects
Breakdown of the transaction details
object
amount
number
The amount of money attributable to this line item
checkNumber
number
Check number
description
string
The description of the line item
imageIds
array
links
array of objects
Links (unique to this Transaction) used to retrieve images of checks or transaction receipts, or invoke other APIs
object
href
string
URL to invoke the action on the resource
action
string
HTTP Method to use for the request
GETPOSTPATCHDELETEPUTtypes
array of strings
Content-types that can be used in the Accept header.
string
memo
string
Secondary item description
reference
string
A reference number
links
Links (unique to this Transaction) used to retrieve images of checks or transaction receipts, or invoke other APIs
memo
string
Secondary transaction description
postedTimestamp
string
The date and time that the transaction was posted to the account. If not provided then TransactionTimestamp can be used as PostedTimeStamp.
reference
string
A tracking reference identifier
referenceTransactionId
string
Akoya ensures that this field is populated for all transactions which are reversals, otherwise it is null. Either way it is always present. For reverse postings, the identity of the transaction being reversed. For the correction transaction, the identity of the reversing post. For credit card posting transactions, the identity of the authorization transaction.
status
string
AUTHORIZATION, MEMO, PENDING, or POSTED
PENDINGMEMOPOSTEDAUTHORIZATIONsubCategory
string
Transaction category detail
transactionId
string
Long term persistent identity of the transaction (unique to account). Transaction IDs should: 1. be the same for pending and posted 2. be different for reversed transactions 3. `referenceTransactionId` should be present for reversed transactions'
transactionTimestamp
string
The date and time that the transaction was added to the server backend systems. Akoya ensures that this field is populated for all transactions to which it applies, otherwise it is null. Either way it is always present.
checkNumber
integer
Check number
paymentDetails
object
escrowAmount
number
The amount of payment applied to escrow
feesAmount
number
The amount of payment applied to fees
insuranceAmount
number
The amount of payment applied to life/health/accident insurance on the loan
interestAmount
number
The amount of payment applied to interest
pmiAmount
number
The amount of payment applied to PMI
principalAmount
number
The amount of payment applied to principal
transactionType
string
LocTransaction Type
CHECKWITHDRAWALTRANSFERPOSDEBITATMWITHDRAWALBILLPAYMENTFEEDEPOSITADJUSTMENTINTERESTDIVIDENDDIRECTDEPOSITATMDEPOSITPOSCREDITinvestmentTransaction
accountId
string
Corresponds to AccountId in Account
amount
number
The amount of money in the account currency. If balanceType is `ASSET`: 1. If `debitCreditMemo` = `DEBIT`, sign is "+" or not present 2. If `CREDIT`, sign is "-" If balanceType is `LIABILITY`: 1. If `debitCreditMemo` = `DEBIT`, sign is "-" 2. If `CREDIT`, sign is "+" or not present
category
string
Transaction category, preferably MCC or SIC.
debitCreditMemo
string
Akoya will ensure that this is correctly populated with one of DEBIT or CREDIT and matches the sign of the status field.
DEBITCREDITdescription
string
The description of the transaction
imageIds
array
fiAttributes
Array of FI-specific attributes
foreignAmount
number
The amount of money in the foreign currency
foreignCurrency
string
The ISO 4217 code of the foreign currency
lineItem
array of objects
Breakdown of the transaction details
object
amount
number
The amount of money attributable to this line item
checkNumber
number
Check number
description
string
The description of the line item
imageIds
array
links
array of objects
Links (unique to this Transaction) used to retrieve images of checks or transaction receipts, or invoke other APIs
object
href
string
URL to invoke the action on the resource
action
string
HTTP Method to use for the request
GETPOSTPATCHDELETEPUTtypes
array of strings
Content-types that can be used in the Accept header.
string
memo
string
Secondary item description
reference
string
A reference number
links
Links (unique to this Transaction) used to retrieve images of checks or transaction receipts, or invoke other APIs
memo
string
Secondary transaction description
postedTimestamp
string
The date and time that the transaction was posted to the account. If not provided then TransactionTimestamp can be used as PostedTimeStamp.
reference
string
A tracking reference identifier
referenceTransactionId
string
Akoya ensures that this field is populated for all transactions which are reversals, otherwise it is null. Either way it is always present. For reverse postings, the identity of the transaction being reversed. For the correction transaction, the identity of the reversing post. For credit card posting transactions, the identity of the authorization transaction.
status
string
AUTHORIZATION, MEMO, PENDING, or POSTED
PENDINGMEMOPOSTEDAUTHORIZATIONsubCategory
string
Transaction category detail
transactionId
string
Long term persistent identity of the transaction (unique to account). Transaction IDs should: 1. be the same for pending and posted 2. be different for reversed transactions 3. `referenceTransactionId` should be present for reversed transactions'
transactionTimestamp
string
The date and time that the transaction was added to the server backend systems. Akoya ensures that this field is populated for all transactions to which it applies, otherwise it is null. Either way it is always present.
accruedInterest
number
Accrued Interest.
commission
number
Transaction commission.
confirmationNumber
string
Confirmation number of the transaction.
faceValue
number
Cash value for bonds.
fees
number
Fees applied to the trade.
fractionalCash
number
Cash for fractional units (used for stock splits).
gain
number
For sales.
incomeType
string
Type of investment income. CGLONG (capital gains-long term), CGSHORT (capital gains-short term), MISC.
CGLONGCGSHORTMISCinv401kSource
string
load
number
Load on the transaction.
loanId
string
For 401k accounts only. This indicates the transaction was due to a loan or a loan repayment.
loanInterest
number
How much loan pre-payment is interest.
loanPrincipal
number
How much loan pre-payment is principal.
markup
number
Portion of unit price that is attributed to the dealer markup.
newUnits
number
Number of shares after split.
oldUnits
number
Number of shares before split.
payrollDate
string
The date for the 401k transaction was obtained in payroll.
penalty
number
Indicates amount withheld due to a penalty.
positionType
string
price
number
Unit purchase price.
priorYearContrib
boolean
Indicates this buy was made using prior years contribution. TRUE or FALSE.
runningBalance
number
Running balance of the position.
securityId
string
Unique identifier of security.
securityIdType
string
Security identifier type.
BUSIPISINSEDOLSICCVALORWKNsecurityType
string
STOCKMUTUALFUNDDEBTOPTIONSWEEPOTHERBONDshares
number
Number of shares (with decimals). Negative numbers indicate securities are being removed from the account.
splitRatioDenominator
number
Split ratio denominator.
splitRatioNumerator
number
Split ratio numerator.
stateWithholding
number
State tax withholding.
subAccountFund
string
From which account money came in.
CASHMARGINSHORTOTHERSsubAccountSec
string
Sub-account security type.
CASHMARGINSHORTOTHERSsymbol
string
Ticker symbol.
taxes
number
Taxes on the trade.
taxExempt
boolean
Tax-exempt transaction TRUE or FALSE.
transactionReason
string
Reason for this transaction; CALL (the debt was called), SELL (the debt was sold), MATURITY (the debt reached maturity)
CALLSELLMATURITYtransactionType
string
InvestmentTransaction Type
PURCHASEDSOLDPURCHASEDTOCOVERADJUSTMENTPURCHASETOOPENPURCHASETOCLOSESOLDTOOPENSOLDTOCLOSEINTERESTMARGININTERESTREINVESTOFINCOMERETURNOFCAPITALTRANSFERCONTRIBUTIONFEEOPTIONEXERCISEOPTIONEXPIRATIONDIVIDENDDIVIDENDREINVESTSPLITCLOSUREINCOMEEXPENSECLOSUREOPTINVEXPENSEJRNLSECJRNLFUNDOTHERDIVSRVCHGDEPDEPOSITATMPOSXFERCHECKPAYMENTCASHDIRECTDEPDIRECTDEBITREPEATPMTtransferAction
string
Transfer direction.
INOUTunitPrice
number
Price per commonly-quoted unit. Does not include markup/markdown, unitprice. Share price for stocks, mutual funds, and others. Percentage of par for bonds. Per share (not contract) for options.
units
number
For security-based actions other than stock splits, quantity. Shares for stocks, mutual funds, and others. Face value for bonds. Contracts for options.
unitType
string
withholding
number
Federal tax withholding.
insuranceTransaction
accountId
string
Corresponds to AccountId in Account
amount
number
The amount of money in the account currency. If balanceType is `ASSET`: 1. If `debitCreditMemo` = `DEBIT`, sign is "+" or not present 2. If `CREDIT`, sign is "-" If balanceType is `LIABILITY`: 1. If `debitCreditMemo` = `DEBIT`, sign is "-" 2. If `CREDIT`, sign is "+" or not present
category
string
Transaction category, preferably MCC or SIC.
debitCreditMemo
string
Akoya will ensure that this is correctly populated with one of DEBIT or CREDIT and matches the sign of the status field.
DEBITCREDITdescription
string
The description of the transaction
imageIds
array
fiAttributes
Array of FI-specific attributes
foreignAmount
number
The amount of money in the foreign currency
foreignCurrency
string
The ISO 4217 code of the foreign currency
lineItem
array of objects
Breakdown of the transaction details
object
amount
number
The amount of money attributable to this line item
checkNumber
number
Check number
description
string
The description of the line item
imageIds
array
links
array of objects
Links (unique to this Transaction) used to retrieve images of checks or transaction receipts, or invoke other APIs
object
href
string
URL to invoke the action on the resource
action
string
HTTP Method to use for the request
GETPOSTPATCHDELETEPUTtypes
array of strings
Content-types that can be used in the Accept header.
string
memo
string
Secondary item description
reference
string
A reference number
links
Links (unique to this Transaction) used to retrieve images of checks or transaction receipts, or invoke other APIs
memo
string
Secondary transaction description
postedTimestamp
string
The date and time that the transaction was posted to the account. If not provided then TransactionTimestamp can be used as PostedTimeStamp.
reference
string
A tracking reference identifier
referenceTransactionId
string
Akoya ensures that this field is populated for all transactions which are reversals, otherwise it is null. Either way it is always present. For reverse postings, the identity of the transaction being reversed. For the correction transaction, the identity of the reversing post. For credit card posting transactions, the identity of the authorization transaction.
status
string
AUTHORIZATION, MEMO, PENDING, or POSTED
PENDINGMEMOPOSTEDAUTHORIZATIONsubCategory
string
Transaction category detail
transactionId
string
Long term persistent identity of the transaction (unique to account). Transaction IDs should: 1. be the same for pending and posted 2. be different for reversed transactions 3. `referenceTransactionId` should be present for reversed transactions'
transactionTimestamp
string
The date and time that the transaction was added to the server backend systems. Akoya ensures that this field is populated for all transactions to which it applies, otherwise it is null. Either way it is always present.
transactionType
string
InsuranceTransaction Type
PAYMENTFEEADJUSTMENTINTEREST400
Bad Request
Response Body
object
code
integer
Error code defined by FDX API Specification or Data Provider indicating the error situation which has occurred
message
string
End user displayable information which might help the customer diagnose an error
debugMessage
string
Message used to debug the root cause of the error. Contents should not be used in consumer's business logic. Can change at any time and should only be used for consumer to communicate with the data provider about an issue. Provider can include an error GUID in message for their use.
401
Customer not authorized.
Response Body
object
code
integer
Error code defined by FDX API Specification or Data Provider indicating the error situation which has occurred
message
string
End user displayable information which might help the customer diagnose an error
debugMessage
string
Message used to debug the root cause of the error. Contents should not be used in consumer's business logic. Can change at any time and should only be used for consumer to communicate with the data provider about an issue. Provider can include an error GUID in message for their use.
404
701 - Tax Lots not found. The `holdingId` may be wrong.
Response Body
object
code
integer
Error code defined by FDX API Specification or Data Provider indicating the error situation which has occurred
message
string
End user displayable information which might help the customer diagnose an error
debugMessage
string
Message used to debug the root cause of the error. Contents should not be used in consumer's business logic. Can change at any time and should only be used for consumer to communicate with the data provider about an issue. Provider can include an error GUID in message for their use.
405
Method Not Allowed
Response
string
406
Content Type not Supported
Response Body
object
code
integer
Error code defined by FDX API Specification or Data Provider indicating the error situation which has occurred
message
string
End user displayable information which might help the customer diagnose an error
debugMessage
string
Message used to debug the root cause of the error. Contents should not be used in consumer's business logic. Can change at any time and should only be used for consumer to communicate with the data provider about an issue. Provider can include an error GUID in message for their use.
408
Request timed out (round trip call took >10 seconds).
Response Body
object
code
integer
Error code defined by FDX API Specification or Data Provider indicating the error situation which has occurred
message
string
End user displayable information which might help the customer diagnose an error
debugMessage
string
Message used to debug the root cause of the error. Contents should not be used in consumer's business logic. Can change at any time and should only be used for consumer to communicate with the data provider about an issue. Provider can include an error GUID in message for their use.
429
1207 - Too many requests
Response Body
object
code
integer
Error code defined by FDX API Specification or Data Provider indicating the error situation which has occurred
message
string
End user displayable information which might help the customer diagnose an error
debugMessage
string
Message used to debug the root cause of the error. Contents should not be used in consumer's business logic. Can change at any time and should only be used for consumer to communicate with the data provider about an issue. Provider can include an error GUID in message for their use.
500
Catch-all exception where request was not processed due to an internal outage/issue.
Response Body
object
code
integer
Error code defined by FDX API Specification or Data Provider indicating the error situation which has occurred
message
string
End user displayable information which might help the customer diagnose an error
debugMessage
string
Message used to debug the root cause of the error. Contents should not be used in consumer's business logic. Can change at any time and should only be used for consumer to communicate with the data provider about an issue. Provider can include an error GUID in message for their use.
501
FdxVersion in header is not implemented.
Response Body
object
code
integer
Error code defined by FDX API Specification or Data Provider indicating the error situation which has occurred
message
string
End user displayable information which might help the customer diagnose an error
debugMessage
string
Message used to debug the root cause of the error. Contents should not be used in consumer's business logic. Can change at any time and should only be used for consumer to communicate with the data provider about an issue. Provider can include an error GUID in message for their use.
503
System is down for maintenance.
Response Body
object
code
integer
Error code defined by FDX API Specification or Data Provider indicating the error situation which has occurred
message
string
End user displayable information which might help the customer diagnose an error
debugMessage
string
Message used to debug the root cause of the error. Contents should not be used in consumer's business logic. Can change at any time and should only be used for consumer to communicate with the data provider about an issue. Provider can include an error GUID in message for their use.